Updates the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "860c3dfc-8f20-4724-82f6-baad74cc836a",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "19d76699-5d4a-4816-a8c4-d564177ab6ff",
"company_code": "sample string 5",
"company": {
"id": "832d6798-35d9-44a2-b5b7-bebc31620117",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-14T12:05:45.7538724+00:00",
"sales_territory_id": "bd1ead2e-1b1e-4666-94e0-678382800658",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "c3ec9cec-2569-46d6-8501-0ad96bbf8039",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "1b2e739c-b614-4f7c-b07c-bac4e171c61c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "a18a7c21-0a4f-4919-b896-eece6b94153a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "fa959506-439b-4d8e-a8ea-fff656853d7b",
"db_currency_id": "5e29ac36-49d2-4f85-816d-8f29b4f0aad7",
"db_language_id": "a46d2362-df45-495e-b7a7-41f9e00098cc",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T12:05:45.7538724+00:00"
},
"modified_dateutc": "2026-10-14T12:05:45.7538724+00:00"
},
"marketing_segment_id": "bf618808-e3d7-4863-9c99-40556c816a64",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "8581a540-e5a5-47e0-811f-b8967aad8359",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "9cb265a4-3130-4540-b3f9-885bb7697c1d",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "315e8774-9948-4077-89ce-321cd8292a84",
"db_country_code": "sample string 28",
"feelist_id": "9cd784f6-3bd0-4384-8476-eb013ea37dab",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "f7cb8e96-a14c-4b9b-9f0a-2ab11c335ac1",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "d3282e6b-2e0c-440a-a3f0-ef65d6573128",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-14T12:05:45.7538724+00:00",
"db_currency_id": "cb7bf384-c1bf-42fc-86c8-c05d23b2ff15",
"db_currency_code": "sample string 10"
},
"company_type_id": "fe347f64-747e-4319-8206-83dcecac16c8",
"company_type_name": "sample string 32",
"company_type": {
"id": "1baf9b46-0e37-4d24-b1a4-deb9581170be",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "38c9cf11-b3e8-49f9-9945-b530e4c201f7",
"sales_organization_code": "sample string 5"
},
"db_language_id": "a029d081-bdd5-47af-a563-1a85557c2618",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "5976e611-2204-4ebd-a79e-2cc8a1ca956c",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "8d970896-25c0-4bd0-bbf4-eff4a3598439",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "492b945a-d32c-4b8f-8400-890b022f7796",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-14T12:05:45.7538724+00:00"
},
"company_sector_id": "a28f9cc8-55ad-40cf-86d7-6340ae1791d2",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "69fe36d7-e539-443f-88a6-33523ec55fb1",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "5c013f4a-196a-4d63-8105-c1d1ee40537d",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "053f714c-5ea2-4d52-a053-43cb52961fa5",
"account_manager_user_code": "sample string 56",
"company_status_id": "7da394d3-2184-44f4-9540-3759c5d64dd3",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-14T12:05:45.7538724+00:00",
"id2": 60
},
"db_language_id": "236bb61b-c6f2-4ce7-a594-6c4d6f5065b2",
"db_language_code": "sample string 7",
"db_title_id": "d5d0a156-c998-45f5-8bc0-6a7482cdea62",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-14T12:05:45.7538724+00:00",
"create_date": "2026-10-14T12:05:45.7538724+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-14T12:05:45.7538724+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.